/********************************************************************************
 *                                                                              *
 *                        Done.java written by Jeff Heaton                      *
 *                                   Aug 2004                                   *
 *                                                                              *
 ********************************************************************************/

import java.io.*;
import java.util.*;
import javax.servlet.*;
import java.io.*;
import java.net.*;
import java.lang.Thread;

public class Done {

     private int _activeThreads = 0;
     private boolean _started = false;

     public int getActiveThreads(){
         System.err.println(_activeThreads);
         return _activeThreads;
      }

     public synchronized void waitDone(){

       try{
           while ( _activeThreads > 0 ){

                 wait();
           }
           }catch ( InterruptedException e ){

           }

     }//end of waitDone method

     public synchronized void waitBegin(){

       try{
           while ( !_started ){
              wait();
           }
           }catch ( InterruptedException e ){

           }
     }//end of waitBegin method

     public synchronized void workerBegin(){

          _activeThreads++;
          _started = true;

          notify();
     }// end of workerBegin method

     public synchronized void workerEnd(){

         _activeThreads--;
         notify();

     }

     public synchronized void reset(){

         _activeThreads = 0;

     }



}//end of Done class