import java.net.*;
import java.io.*;
import java.util.*;

public class QueueElement implements Serializable {

    /* This class represents a queue element that is stored in the servlet request queue */

    private int name;   //  private class variables
    private Request r1;
    private Response r2;

    public QueueElement( int n, Request in, Response out ) {
      name = n;
      r1 = in;
      r2 = out;   // set the private class variables

    }// end of default constructor

    public int getName(){
      return name;
    }

    public Request getRequest(){
      return r1;
    }

    public Response getResponse(){
      return r2;
    }

}//end of the queue element class