/********************************************************************************
 *                                                                              *
 *               WorkerThread.java written by Jeff Heaton                       *
 *                     Department of Computer Science                           *
 *                        University of Cape Town                               *
 *                                Aug 2004                                      *
 *******************************************************************************/

import java.io.*;
import java.util.*;
import javax.servlet.*;
import java.io.*;
import java.net.*;
import java.lang.Thread;

public class WorkerThread extends Thread {

    public boolean busy;
    public Pool owner;

    public WorkerThread( Pool o ){

       owner = o;
    }//end of default constructor

    public void run(){

        Runnable target = null;

        do {
          target = owner.getAssignment();

          if ( target != null ){
            target.run();
            owner.done.workerEnd();
          }

        }while ( target != null );

    }//end of run method

}//end of Worker Thread class