import java.net.*;
import java.io.*;
import java.util.*;

public class Queue implements Serializable {

    private LinkedList storageQueue; // the private class variables
    private int queueSize;

    public Queue() {

       storageQueue = new LinkedList(); // create a new vector to simulate a queue
       queueSize = 0;
    }//end of the default constructor

    public void addItem( QueueElement input ){

       /* Add an element to the front of the queue */
       storageQueue.addFirst( input ); // add an element to the front of the list
       queueSize++; // increment the queue size
    }

    public Object removeItem(){

      /* Remove an element from the back of the queue */
      Object temp = storageQueue.getLast(); // get a reference to the last element
      storageQueue.removeLast(); // remove the last element
      queueSize--; // decrease the queue size

      return temp;
    }

    public int getSize(){
      return queueSize;
    }
}// end of the queue class