/********************************************************************************
 *                                                                              *
 *                  ResponseThread.java written by Andrew Maunder               *
 *                     Department of Computer Science                           *
 *                        University of Cape Town                               *
 *                                Aug 2004                                      *
 *******************************************************************************/

import java.io.*;
import java.util.*;
import java.net.*;
import java.lang.*;
import java.text.*;

public class ResponseThread implements Runnable {

    public DataOutputStream out;
    public boolean containerAlive;
    public PipedInputStream pin;
    public PipedOutputStream pout;
    public byte[] buffer;
    public int i;
    public String id;

    public ResponseThread( String identifier ,DataOutputStream o, PipedInputStream pi, PipedOutputStream po ){

      /* This thread will listen to the network messages sent to the container */

      try {
             pin = pi;
             pout = po;
             out = o;
             buffer = new byte[1000];
             i = 0;
             id = identifier;

      } catch (Exception e) {
        e.printStackTrace(System.err);
      }
      containerAlive = true;
   }

    public void run( ){

     /* This method performs the work of the thread */

	Date currentTime = new Date();
	int count = 0;

     while ( containerAlive ){


      try {
           /* If the container is still alive continue processing input requests */
           pin.read(buffer);
           String temp = new String(buffer);
           String fix = temp.trim();

	       if ( fix.length() == 0 )
             containerAlive = false;
           else
            {
		      int length = fix.length() + id.length();
              String output = "+" + id + "\n" + fix.substring(fix.lastIndexOf("!") + 1, fix.length() ) + "\n" + "$" ;
	          System.out.println(output);
	         }
              buffer = new byte[1000];
           /* This is the thread that will write to standard out, with ustilise correct protocol */

        }catch ( IOException e){
          System.err.println("Shutting down response thread");
        }

     }// end of while loop

    }//end of the run method

    public void setContainerAlive( boolean state ){

       containerAlive = state;
    }// end of method to set class boolean

}// end of Request thread class