/***************************************************************************
 *   Copyright (C) 2004 by Reinhardt van Rooyen                            *
 *   rvanrooy@cs.uct.ac.za						   *			
 *  									   *
 *   The xSwitch program is the intellectual property of Andrew Maunder    *
 *   and Reinhardt van Rooyen, along with with computer science department *  
 *   at the University of Cape Town                                        *
 *									   *	
 *   This is part of the xSwitch honours project by the authors            *                                     *
 *                                                                         *
 ***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <pthread.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <pwd.h>
 
#define LENGTH 1024

int main(int argc, char *argv[])
{
   char input[LENGTH];

   char *uidstr;
   char *socket;
   char *command;
   
   uidstr = (char *)strtok(argv[1]," ");
   socket = (char *)strtok(NULL," ");
   command = (char *)strtok(NULL,"");
   
   //printf ("=%s=%s=%s=\n", uidstr, socket, command);
   //exit(1);
   
   int uid = atoi(uidstr);

   close(0);
//#ifdef DEBUG
//   fprintf(stderr,"suexecme: fd = %s\n",argv[1]);
//#endif

   // redirect input
   if (dup (atoi(socket)) != 0)
   {
      fprintf (stderr,"suexecme: ERROR: cannot redirect input\n");
   }
   
   setuid (uid);
   seteuid (uid);
//#ifdef DEBUG 
//   fprintf (stderr,"suexecme: UID is now %d and uid = %d\n",geteuid(),uid); 
//#endif

   int exitFlag = 0;
//#ifdef DEBUG
//   fprintf (stderr,"suexecme: doing system(%s)\n",input);
//#endif
   system (command);

   return 0;
}


